function varargout = fatigue_export(varargin)
% MATLAB Courseware for Machine Design by Shih-Liang (Sid) Wang
% Software Copyright 2004 by The McGraw-Hill Companies, Inc.  All rights reserved.
%
% FATIGUE_EXPORT M-file for fatigue_export.fig
%      FATIGUE_EXPORT, by itself, creates a new FATIGUE_EXPORT or raises the existing
%      singleton*.
%
%      H = FATIGUE_EXPORT returns the handle to a new FATIGUE_EXPORT or the handle to
%      the existing singleton*.
%
%      FATIGUE_EXPORT('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in FATIGUE_EXPORT.M with the given input arguments.
%
%      FATIGUE_EXPORT('Property','Value',...) creates a new FATIGUE_EXPORT or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before fatigue_export_OpeningFunction gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to fatigue_export_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help fatigue_export

% Last Modified by GUIDE v2.5 16-Apr-2003 15:40:55

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @fatigue_export_OpeningFcn, ...
                   'gui_OutputFcn',  @fatigue_export_OutputFcn, ...
                   'gui_LayoutFcn',  @fatigue_export_LayoutFcn, ...
                   'gui_Callback',   []);
if nargin & isstr(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before fatigue_export is made visible.
function fatigue_export_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to fatigue_export (see VARARGIN)

% Choose default command line output for fatigue_export
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes fatigue_export wait for user response (see UIRESUME)
% uiwait(handles.figure1);
if strcmp(get(hObject,'Visible'),'off')
    axis off
end


% --- Outputs from this function are returned to the command line.
function varargout = fatigue_export_OutputFcn(hObject, eventdata, handles)
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;


% --- Executes during object creation, after setting all properties.
function edit_sigma_m_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_sigma_m (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_sigma_m_Callback(hObject, eventdata, handles)
% hObject    handle to edit_sigma_m (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_sigma_m as text
%        str2double(get(hObject,'String')) returns contents of edit_sigma_m as a double



% --- Executes on button press in pushbutton_plot.
function pushbutton_plot_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_plot (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% fatigue_export.m
su=str2double(get(handles.edit_su, 'String'));
sy=str2double(get(handles.edit_sy, 'String'));
se=str2double(get(handles.edit_se, 'String'));
sigma_mr=str2double(get(handles.edit_sigma_m, 'String'));
sigma_ar=str2double(get(handles.edit_sigma_a, 'String'));
%%%%%%
    
c=[];
for sigma_m=0:1:su
sigma_a=se*sqrt(1-(sigma_m/sy)^2);%Gerber line
d(1,1)=sigma_m;d(2,1)=sigma_a;
c=[c,d];
end;
plot(c(1,:), c(2,:),'k','LineWidth',2)
axis([0 1.2*su 0 1.2*su ])
hold on;

c=[];
for sigma_m=0:1:su
sigma_a=sy*(1-(sigma_m/sy));%Yield line
d(1,1)=sigma_m;d(2,1)=sigma_a;
c=[c,d];
end;
plot(c(1,:), c(2,:), '--g')
axis([0 1.2*su 0 1.2*su ])
hold on;

c=[];
for sigma_m=0:1:su
sigma_a=se*(1-(sigma_m/sy));%Soderberg line
d(1,1)=sigma_m;d(2,1)=sigma_a;
c=[c,d];
end;
plot(c(1,:), c(2,:))
axis([0 1.2*su 0 1.2*su ])
hold on;

c=[];
for sigma_m=0:1:su
sigma_a=se*(1-(sigma_m/su));%Goodman line
d(1,1)=sigma_m;d(2,1)=sigma_a;
c=[c,d];
end;
plot(c(1,:), c(2,:),'c')
axis([0 1.2*su 0 1.2*su ])
hold on;

slope=sigma_ar/sigma_mr;
c=[];
for sigma_m=0:1:su
sigma_a=sigma_m*slope;%load line
d(1,1)=sigma_m;d(2,1)=sigma_a;
c=[c,d];
end;
sigma_ag=sqrt((slope*se*sy)^2/(se^2+slope^2*sy^2));
sigma_mg=sigma_ag/slope;    %gerber-load line intersection
sigma_ay=(slope*sy)/(1+slope);
sigma_my=sigma_ay/slope;    %yield-load line intersection
plot(c(1,:), c(2,:),'r',sigma_mg,sigma_ag,'o',sigma_my,sigma_ay,'ko')
axis([0 1.2*su 0 1.2*su ])
hold on;
plot(sigma_mr,sigma_ar,'ko','MarkerFaceColor', 'g')
axis([0 1.2*su 0 1.2*su ])
hold on;

sigma_agy=2/(sy*(1/se^2+1/sy^2));
sigma_mgy=sy-sigma_agy;     %intersection of gerber- yield line
slope=sigma_agy/sigma_mgy;
c=[];
for sigma_m=0:1:su
sigma_a=sigma_m*slope;%load line-2
d(1,1)=sigma_m;d(2,1)=sigma_a;
c=[c,d];
end;
plot(c(1,:), c(2,:),'-.r',sigma_mgy,sigma_agy,'s')
axis([0 1.2*su 0 1.2*su ])
    ylabel('Alternating Stress \sigma_{a}')
    xlabel('Mean Stress \sigma_{m}')

hold off;
SF_G=sigma_ag/sigma_ar;
SF_1=sigma_ay/sigma_ar;

    legend('Gerber line','Yield line','Soderberg line','Goodman line','Load Line','Data Point','Failure Point',1);

    set(handles.edit_sf_gerber,'String',num2str(SF_G, '%6.2f'));
    set(handles.edit_sf_yielding,'String',num2str(SF_1, '%6.2f'));


% --- Executes during object creation, after setting all properties.
function edit_sigma_a_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_sigma_a (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_sigma_a_Callback(hObject, eventdata, handles)
% hObject    handle to edit_sigma_a (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_sigma_a as text
%        str2double(get(hObject,'String')) returns contents of edit_sigma_a as a double


% --- Executes during object creation, after setting all properties.
function edit_su_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_su (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_su_Callback(hObject, eventdata, handles)
% hObject    handle to edit_su (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_su as text
%        str2double(get(hObject,'String')) returns contents of edit_su as a double


% --- Executes during object creation, after setting all properties.
function edit_sy_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_sy (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_sy_Callback(hObject, eventdata, handles)
% hObject    handle to edit_sy (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_sy as text
%        str2double(get(hObject,'String')) returns contents of edit_sy as a double


% --- Executes during object creation, after setting all properties.
function edit_se_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_se (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_se_Callback(hObject, eventdata, handles)
% hObject    handle to edit_se (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_se as text
%        str2double(get(hObject,'String')) returns contents of edit_se as a double


% --- Executes during object creation, after setting all properties.
function edit_sf_gerber_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_sf_gerber (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_sf_gerber_Callback(hObject, eventdata, handles)
% hObject    handle to edit_sf_gerber (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_sf_gerber as text
%        str2double(get(hObject,'String')) returns contents of edit_sf_gerber as a double


% --- Executes during object creation, after setting all properties.
function edit_sf_yielding_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_sf_yielding (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_sf_yielding_Callback(hObject, eventdata, handles)
% hObject    handle to edit_sf_yielding (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_sf_yielding as text
%        str2double(get(hObject,'String')) returns contents of edit_sf_yielding as a double


% --------------------------------------------------------------------
function file_menu_Callback(hObject, eventdata, handles)
% hObject    handle to file_menu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)



% --------------------------------------------------------------------
function print_submenu_Callback(hObject, eventdata, handles)
% hObject    handle to print_submenu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

printdlg(handles.figure1)

% --------------------------------------------------------------------
function exit_submenu_Callback(hObject, eventdata, handles)
% hObject    handle to exit_submenu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

delete(handles.figure1)


% --------------------------------------------------------------------
function help_menu_Callback(hObject, eventdata, handles)
% hObject    handle to help_menu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --------------------------------------------------------------------
function overview_submenu_Callback(hObject, eventdata, handles)
% hObject    handle to overview_submenu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

open fatigue.htm


% --------------------------------------------------------------------
function about_submenu_Callback(hObject, eventdata, handles)
% hObject    handle to about_submenu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

scrsz = get(0,'ScreenSize');
figure('name','About MATLAB for Machine Design','menubar', 'none','NumberTitle','off' ,'Position',[.6*scrsz(3)  .6*scrsz(4) scrsz(3)/4 scrsz(4)/4])
%scrsz(3) is the width; scrsz(4)is the height; the window is positioned at
%upper right corner.
axis off;
text(.46, .95,' \bf  MATLAB Courseware ','HorizontalAlignment','center','VerticalAlignment','bottom')
text(.46, .83,' \bf for ','HorizontalAlignment','center','VerticalAlignment','bottom')
text(.46, .71,' \bf  Machine Design','HorizontalAlignment','center','VerticalAlignment','bottom')
text(.46, .55,'  Release 1.0','HorizontalAlignment','center','VerticalAlignment','bottom')
text(.46, .43,' March 10, 2003','HorizontalAlignment','center','VerticalAlignment','bottom')
text(0.46, .25,'  Software copyright \copyright 2004 ','HorizontalAlignment','center','VerticalAlignment','bottom')
text(0.46, .11,' by Shih-Liang (Sid) Wang','HorizontalAlignment','center','VerticalAlignment','bottom')
text(0.46, -.09,' All rights reserved.','HorizontalAlignment','center','VerticalAlignment','bottom')



% --- Creates and returns a handle to the GUI figure. 
function h1 = fatigue_export_LayoutFcn(policy)
% policy - create a new figure or use a singleton. 'new' or 'reuse'.

persistent hsingleton;
if strcmpi(policy, 'reuse') & ishandle(hsingleton)
    h1 = hsingleton;
    return;
end

h1 = figure(...
'Units','characters',...
'Color',[0.682352941176471 0.658823529411765 0.850980392156863],...
'Colormap',[0 0 0.5625;0 0 0.625;0 0 0.6875;0 0 0.75;0 0 0.8125;0 0 0.875;0 0 0.9375;0 0 1;0 0.0625 1;0 0.125 1;0 0.1875 1;0 0.25 1;0 0.3125 1;0 0.375 1;0 0.4375 1;0 0.5 1;0 0.5625 1;0 0.625 1;0 0.6875 1;0 0.75 1;0 0.8125 1;0 0.875 1;0 0.9375 1;0 1 1;0.0625 1 1;0.125 1 0.9375;0.1875 1 0.875;0.25 1 0.8125;0.3125 1 0.75;0.375 1 0.6875;0.4375 1 0.625;0.5 1 0.5625;0.5625 1 0.5;0.625 1 0.4375;0.6875 1 0.375;0.75 1 0.3125;0.8125 1 0.25;0.875 1 0.1875;0.9375 1 0.125;1 1 0.0625;1 1 0;1 0.9375 0;1 0.875 0;1 0.8125 0;1 0.75 0;1 0.6875 0;1 0.625 0;1 0.5625 0;1 0.5 0;1 0.4375 0;1 0.375 0;1 0.3125 0;1 0.25 0;1 0.1875 0;1 0.125 0;1 0.0625 0;1 0 0;0.9375 0 0;0.875 0 0;0.8125 0 0;0.75 0 0;0.6875 0 0;0.625 0 0;0.5625 0 0],...
'IntegerHandle','off',...
'InvertHardcopy',get(0,'defaultfigureInvertHardcopy'),...
'MenuBar','none',...
'Name','fatigue',...
'NumberTitle','off',...
'PaperPosition',get(0,'defaultfigurePaperPosition'),...
'Position',[80 10 112 32.3076923076923],...
'Renderer',get(0,'defaultfigureRenderer'),...
'RendererMode','manual',...
'Resize','off',...
'HandleVisibility','callback',...
'Tag','figure1',...
'UserData',zeros(1,0));

setappdata(h1, 'GUIDEOptions', struct(...
'active_h', 2.230013e+002, ...
'taginfo', struct(...
'figure', 2, ...
'text', 20, ...
'axes', 2, ...
'edit', 14, ...
'pushbutton', 3, ...
'frame', 6), ...
'override', 0, ...
'release', 13, ...
'resize', 'none', ...
'accessibility', 'callback', ...
'mfile', 1, ...
'callbacks', 1, ...
'singleton', 1, ...
'syscolorfig', 1, ...
'lastSavedFile', 'D:\Sid Wang- summer work\matlab_r13\design\shigley\matlab_supplements_source\fatigue.m'));


h2 = axes(...
'Parent',h1,...
'Units','characters',...
'CameraPosition',[0.5 0.5 9.16025403784439],...
'CameraPositionMode',get(0,'defaultaxesCameraPositionMode'),...
'Color',get(0,'defaultaxesColor'),...
'ColorOrder',get(0,'defaultaxesColorOrder'),...
'Position',[16 5.30769230769231 87.2 21.6923076923077],...
'XColor',get(0,'defaultaxesXColor'),...
'YColor',get(0,'defaultaxesYColor'),...
'ZColor',get(0,'defaultaxesZColor'),...
'Tag','axes1');


h3 = get(h2,'title');

set(h3,...
'Parent',h2,...
'Color',[0 0 0],...
'HorizontalAlignment','center',...
'Position',[0.498853211009174 1.02304964539007 1.00005459937205],...
'VerticalAlignment','bottom',...
'HandleVisibility','off');

h4 = get(h2,'xlabel');

set(h4,...
'Parent',h2,...
'Color',[0 0 0],...
'HorizontalAlignment','center',...
'Position',[0.498853211009174 -0.0833333333333333 1.00005459937205],...
'VerticalAlignment','cap',...
'HandleVisibility','off');

h5 = get(h2,'ylabel');

set(h5,...
'Parent',h2,...
'Color',[0 0 0],...
'HorizontalAlignment','center',...
'Position',[-0.0653669724770642 0.49468085106383 1.00005459937205],...
'Rotation',90,...
'VerticalAlignment','bottom',...
'HandleVisibility','off');

h6 = get(h2,'zlabel');

set(h6,...
'Parent',h2,...
'Color',[0 0 0],...
'HorizontalAlignment','right',...
'Position',[-0.184633027522936 1.23936170212766 1.00005459937205],...
'HandleVisibility','off',...
'Visible','off');

h7 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[41 27.6923076923077 25 4.15384615384615],...
'String',{ '' },...
'Style','frame',...
'Tag','frame1');


h8 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','fatigue_export(''edit_sigma_m_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[43.2 28 9 1.23076923076923],...
'String','8.38',...
'Style','edit',...
'CreateFcn','fatigue_export(''edit_sigma_m_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_sigma_m');


h9 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[42.4 29.4615384615385 10 1.15384615384615],...
'String','sigma_m',...
'Style','text',...
'Tag','text2');


h10 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'Callback','fatigue_export(''pushbutton_plot_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[69.4 28.6153846153846 6.8 2.30769230769231],...
'String','Plot',...
'Tag','pushbutton_plot');


h11 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','fatigue_export(''edit_sigma_a_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[54.6 28 9 1.23076923076923],...
'String','8.38',...
'Style','edit',...
'CreateFcn','fatigue_export(''edit_sigma_a_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_sigma_a');


h12 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[54.2 29.4615384615385 10 1.15384615384615],...
'String','sigma_a',...
'Style','text',...
'Tag','text5');


h13 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[48.8 30.5384615384615 8 1.15384615384615],...
'String','Stress',...
'Style','text',...
'Tag','text6');


h14 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[5.4 27.692 33 4.154],...
'String',{ '' },...
'Style','frame',...
'Tag','frame2');


h15 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','fatigue_export(''edit_su_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[6.6 28 9 1.23076923076923],...
'String','100',...
'Style','edit',...
'CreateFcn','fatigue_export(''edit_su_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_su');


h16 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[10.6 29.3076923076923 3.8 1.15384615384615],...
'String','Su',...
'Style','text',...
'Tag','text7');


h17 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','fatigue_export(''edit_sy_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[17.8 28 9 1.23076923076923],...
'String','84',...
'Style','edit',...
'CreateFcn','fatigue_export(''edit_sy_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_sy');


h18 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[20.2 29.3846153846154 3.8 1.15384615384615],...
'String','Sy',...
'Style','text',...
'Tag','text8');


h19 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[17 30.3846153846154 10 1.23076923076923],...
'String','Strength',...
'Style','text',...
'Tag','text9');


h20 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','fatigue_export(''edit_se_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[28.4 28 9 1.23076923076923],...
'String','34.3',...
'Style','edit',...
'CreateFcn','fatigue_export(''edit_se_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_se');


h21 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[30.6 29.3076923076923 3.8 1.15384615384615],...
'String','Se',...
'Style','text',...
'Tag','text10');


h22 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ForegroundColor',[0 0.501960784313725 0.250980392156863],...
'ListboxTop',0,...
'Position',[77.8 27.692 30 4.15384615384615],...
'String',{ '' },...
'Style','frame',...
'Tag','frame3');


h23 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','fatigue_export(''edit_sf_gerber_Callback'',gcbo,[],guidata(gcbo))',...
'FontWeight','bold',...
'ForegroundColor',[0 0.501960784313725 0.501960784313725],...
'ListboxTop',0,...
'Position',[81.6 28 9 1.23076923076923],...
'String','',...
'Style','edit',...
'CreateFcn','fatigue_export(''edit_sf_gerber_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_sf_gerber');


h24 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[82.2 29.3846153846154 8 1.15384615384615],...
'String','Gerber',...
'Style','text',...
'Tag','text12');


h25 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','fatigue_export(''edit_sf_yielding_Callback'',gcbo,[],guidata(gcbo))',...
'FontWeight','bold',...
'ForegroundColor',[0 0.501960784313725 0.501960784313725],...
'ListboxTop',0,...
'Position',[94.8 28 9 1.23076923076923],...
'String','',...
'Style','edit',...
'CreateFcn','fatigue_export(''edit_sf_yielding_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_sf_yielding');


h26 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[93.2 29.4615384615385 12 1.15384615384615],...
'String','Yielding',...
'Style','text',...
'Tag','text13');


h27 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[78.4 30.5384615384615 28 1.15384615384615],...
'String','Safety Factors Based on',...
'Style','text',...
'Tag','text14');


h28 = uimenu(...
'Parent',h1,...
'Callback','fatigue_export(''file_menu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','File',...
'Tag','file_menu');

h29 = uimenu(...
'Parent',h28,...
'Callback','fatigue_export(''print_submenu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','Print',...
'Tag','print_submenu');

h30 = uimenu(...
'Parent',h28,...
'Callback','fatigue_export(''exit_submenu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','Exit',...
'Tag','exit_submenu');

h31 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'FontWeight','bold',...
'ListboxTop',0,...
'Position',[15 0.692307692307692 92 1.07692307692308],...
'String','Software copyright  2004 by The McGraw-Hill Companies, Inc. All rights reserved. ',...
'Style','text',...
'Tag','text19');


h32 = uimenu(...
'Parent',h1,...
'Callback','fatigue_export(''help_menu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','Help',...
'Tag','help_menu');

h33 = uimenu(...
'Parent',h32,...
'Callback','fatigue_export(''overview_submenu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','Overview',...
'Tag','overview_submenu');

h34 = uimenu(...
'Parent',h32,...
'Callback','fatigue_export(''about_submenu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','About . . .',...
'Tag','about_submenu');


hsingleton = h1;


% --- Handles default GUIDE GUI creation and callback dispatch
function varargout = gui_mainfcn(gui_State, varargin)


%   GUI_MAINFCN provides these command line APIs for dealing with GUIs
%
%      FATIGUE_EXPORT, by itself, creates a new FATIGUE_EXPORT or raises the existing
%      singleton*.
%
%      H = FATIGUE_EXPORT returns the handle to a new FATIGUE_EXPORT or the handle to
%      the existing singleton*.
%
%      FATIGUE_EXPORT('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in FATIGUE_EXPORT.M with the given input arguments.
%
%      FATIGUE_EXPORT('Property','Value',...) creates a new FATIGUE_EXPORT or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before untitled_OpeningFunction gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to untitled_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".

%   Copyright 1984-2002 The MathWorks, Inc.
%   $Revision: 1.4 $ $Date: 2002/05/31 21:44:31 $

gui_StateFields =  {'gui_Name'
                    'gui_Singleton'
                    'gui_OpeningFcn'
                    'gui_OutputFcn'
                    'gui_LayoutFcn'
                    'gui_Callback'};
gui_Mfile = '';
for i=1:length(gui_StateFields)
    if ~isfield(gui_State, gui_StateFields{i})
        error('Could not find field %s in the gui_State struct in GUI M-file %s', gui_StateFields{i}, gui_Mfile);        
    elseif isequal(gui_StateFields{i}, 'gui_Name')
        gui_Mfile = [getfield(gui_State, gui_StateFields{i}), '.m'];
    end
end

numargin = length(varargin);

if numargin == 0
    % FATIGUE_EXPORT
    % create the GUI
    gui_Create = 1;
elseif numargin > 3 & ischar(varargin{1}) & ishandle(varargin{2})
    % FATIGUE_EXPORT('CALLBACK',hObject,eventData,handles,...)
    gui_Create = 0;
else
    % FATIGUE_EXPORT(...)
    % create the GUI and hand varargin to the openingfcn
    gui_Create = 1;
end

if gui_Create == 0
    varargin{1} = gui_State.gui_Callback;
    if nargout
        [varargout{1:nargout}] = feval(varargin{:});
    else
        feval(varargin{:});
    end
else
    if gui_State.gui_Singleton
        gui_SingletonOpt = 'reuse';
    else
        gui_SingletonOpt = 'new';
    end
    
    % Open fig file with stored settings.  Note: This executes all component
    % specific CreateFunctions with an empty HANDLES structure.
    
    % Do feval on layout code in m-file if it exists
    if ~isempty(gui_State.gui_LayoutFcn)
        gui_hFigure = feval(gui_State.gui_LayoutFcn, gui_SingletonOpt);
    else
        gui_hFigure = local_openfig(gui_State.gui_Name, gui_SingletonOpt);            
        % If the figure has InGUIInitialization it was not completely created
        % on the last pass.  Delete this handle and try again.
        if isappdata(gui_hFigure, 'InGUIInitialization')
            delete(gui_hFigure);
            gui_hFigure = local_openfig(gui_State.gui_Name, gui_SingletonOpt);            
        end
    end
    
    % Set flag to indicate starting GUI initialization
    setappdata(gui_hFigure,'InGUIInitialization',1);

    % Fetch GUIDE Application options
    gui_Options = getappdata(gui_hFigure,'GUIDEOptions');
    
    if ~isappdata(gui_hFigure,'GUIOnScreen')
        % Adjust background color
        if gui_Options.syscolorfig 
            set(gui_hFigure,'Color', get(0,'DefaultUicontrolBackgroundColor'));
        end

        % Generate HANDLES structure and store with GUIDATA
        guidata(gui_hFigure, guihandles(gui_hFigure));
    end
    
    % If user specified 'Visible','off' in p/v pairs, don't make the figure
    % visible.
    gui_MakeVisible = 1;
    for ind=1:2:length(varargin)
        if length(varargin) == ind
            break;
        end
        len1 = min(length('visible'),length(varargin{ind}));
        len2 = min(length('off'),length(varargin{ind+1}));
        if ischar(varargin{ind}) & ischar(varargin{ind+1}) & ...
                strncmpi(varargin{ind},'visible',len1) & len2 > 1
            if strncmpi(varargin{ind+1},'off',len2)
                gui_MakeVisible = 0;
            elseif strncmpi(varargin{ind+1},'on',len2)
                gui_MakeVisible = 1;
            end
        end
    end
    
    % Check for figure param value pairs
    for index=1:2:length(varargin)
        if length(varargin) == index
            break;
        end
        try, set(gui_hFigure, varargin{index}, varargin{index+1}), catch, break, end
    end

    % If handle visibility is set to 'callback', turn it on until finished
    % with OpeningFcn
    gui_HandleVisibility = get(gui_hFigure,'HandleVisibility');
    if strcmp(gui_HandleVisibility, 'callback')
        set(gui_hFigure,'HandleVisibility', 'on');
    end
    
    feval(gui_State.gui_OpeningFcn, gui_hFigure, [], guidata(gui_hFigure), varargin{:});
    
    if ishandle(gui_hFigure)
        % Update handle visibility
        set(gui_hFigure,'HandleVisibility', gui_HandleVisibility);
        
        % Make figure visible
        if gui_MakeVisible
            set(gui_hFigure, 'Visible', 'on')
            if gui_Options.singleton 
                setappdata(gui_hFigure,'GUIOnScreen', 1);
            end
        end

        % Done with GUI initialization
        rmappdata(gui_hFigure,'InGUIInitialization');
    end
    
    % If handle visibility is set to 'callback', turn it on until finished with
    % OutputFcn
    if ishandle(gui_hFigure)
        gui_HandleVisibility = get(gui_hFigure,'HandleVisibility');
        if strcmp(gui_HandleVisibility, 'callback')
            set(gui_hFigure,'HandleVisibility', 'on');
        end
        gui_Handles = guidata(gui_hFigure);
    else
        gui_Handles = [];
    end
    
    if nargout
        [varargout{1:nargout}] = feval(gui_State.gui_OutputFcn, gui_hFigure, [], gui_Handles);
    else
        feval(gui_State.gui_OutputFcn, gui_hFigure, [], gui_Handles);
    end
    
    if ishandle(gui_hFigure)
        set(gui_hFigure,'HandleVisibility', gui_HandleVisibility);
    end
end    

function gui_hFigure = local_openfig(name, singleton)
if nargin('openfig') == 3 
    gui_hFigure = openfig(name, singleton, 'auto');
else
    % OPENFIG did not accept 3rd input argument until R13,
    % toggle default figure visible to prevent the figure
    % from showing up too soon.
    gui_OldDefaultVisible = get(0,'defaultFigureVisible');
    set(0,'defaultFigureVisible','off');
    gui_hFigure = openfig(name, singleton);
    set(0,'defaultFigureVisible',gui_OldDefaultVisible);
end

